# $Revision: 1.33 $, $Date: 2002/05/27 19:36:28 $
%define		ver	.33.7.1

Summary:	Aspell is an Open Source spell checker
Summary(pl):	Aspell jest kontrolerem pisowni
Name:		aspell
Version:	0%{ver}
Release:	12
Epoch:		2
License:	LGPL
Group:		Applications/Text
Vendor:		Kevin Atkinson <kevinatk@home.com>
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/aspell/%{name}-%{ver}.tar.gz
Patch0:		ftp://ftp.sourceforge.net/pub/sourceforge/aspell/%{name}-.33-fix2.diff
Patch1:		%{name}-noinstalled.patch
Patch2:		%{name}-amfix.patch
URL:		http://aspell.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pspell-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libaspell10

%description
Aspell is an Open Source spell checker designed to eventually replace
Ispell. Its main feature is that it does a much better job of coming
up with possible suggestions than Ispell does. In fact recent tests
shows that it even does better than Microsoft Word 97's spell checker
in some cases. In addition it has both compile time and run time
support for other non English languages. Aspell also doubles as a
powerful C++ library with C and Perl interfaces in the works.

%description -l pl
Aspell jest kontrolerem pisowni zaprojektowanym tak, by mc zastpi
ispella. Dodatkowo zawiera wsparcie dla innych jzykw ni angielski.
Interfejs aspella napisany zosta w C++, a interfejsy w Perlu i C s
aktualnie rozwijane.

%package devel
Summary:	Header files for aspell development
Summary(pl):	Pliki nagwkowe dla programistw uywajcych aspella
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libaspell10-devel

%description devel
Aspell is an Open Source spell checker. This package contains header
files for aspell development.

%description -l pl devel
Aspell jest kontrolerem pisowni. Ten pakiet zawiera pliki nagwkowe
dla programistw uywajcych bibliotek aspella.

%package static
Summary:	Static libraries for aspell development
Summary(pl):	Biblioteki statyczne aspella
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Aspell is an Open Source spell checker. This package contains static
aspell libraries.

%description -l pl static
Aspell jest kontrolerem pisowni. Pakiet ten zawiera biblioteki
statyczne aspella.

%package en
Summary:	English dictionary for aspell
Summary(pl):	Angielski sownik dla aspella
Group:		Applications/Text
Requires:	%{name} = %{version}

%description en
English dictionary (i.e. word list) for aspell.

%description en -l pl
Angielski sownik (lista sw) dla aspella.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-static

%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT{%{_bindir}/run-with-aspell,%{_datadir}/aspell/ispell}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc manual/manual2.lyx manual/man-text/*.txt
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libaspell.so.*.*
%attr(755,root,root) %{_libdir}/libpspell_aspell.so.*.*
%attr(755,root,root) %{_libdir}/libpspell_aspell.la
%dir %{_libdir}/aspell
%dir %{_datadir}/aspell
%{_datadir}/aspell/[^e]*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaspell.so
%attr(755,root,root) %{_libdir}/libaspell.la
%{_includedir}/aspell

%files static
%defattr(644,root,root,755)
%{_libdir}/libaspell.a

%files en
%defattr(644,root,root,755)
%{_libdir}/aspell/*
%{_datadir}/aspell/english*
%{_datadir}/pspell/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: aspell.spec,v $
Revision 1.33  2002/05/27 19:36:28  qboosh
- resolved conflict with ispell, removed Provides/Obsoletes: ispell -
  it's only CLI-compatible with ispell, not an ispell replacement
- separated English dictionary to subpackage - not everyone needs it
- new %%doc
- release 12

Revision 1.32  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/05/04 11:28:32  qboosh
- dictionaries back to original location (%%{_libdir}/aspell) - format
  depends on machine endianess!
- release 11

Revision 1.30  2002/05/03 15:27:30  kloczek
- bump release to 10, Epoch: 2 (for allow upgrade from RH),
- added libaspell10{,-devel} to Obsoletes for allow upgrade from MDK.

Revision 1.29  2002/05/03 12:50:17  qboosh
- updated URLs, added patch from project
- fixed messing with libdir and co.
- added pspell module to package
- noinstalled patch to allow build w/o aspell already installed,
  amfix patch to allow rebuild automake files
- release 2

Revision 1.28  2002/04/25 15:48:48  arturs
fixed a small typo

Revision 1.27  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/02 19:55:30  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.25  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/11/29 21:31:07  filon
- corrected version, there was not first 0 in version string

Revision 1.23  2001/10/23 08:19:36  kura
- updated to .33.7.1

Revision 1.22  2001/10/03 01:48:09  marcus
- removed unnecessary Epoch:

Revision 1.21  2001/09/20 21:44:51  blues
- removed trash

Revision 1.20  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.19  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/17 23:02:35  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.15  1999/07/26 09:26:32  misiek
- added missing translations

Revision 1.14  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.13  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May  3 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [.27.2-3]
- added BuildPrereq rules,
- moved aspell dictionaries to %{_datadir}/aspell,
- added stripping shared libraries,
- "manke install" with using $DESTDIR,
- added using $RPM_OPT_FLAGS in CXXFLAGS on compile time,
- added %{_bindir}/ispell symplink to aspell,
- added gzipping %doc,
- added Provides and Obsoletes ispell (asspel is full replacement ispell but
  much faster and beter).

* Fri Apr 30 1999 Artur Frysiak <wiget@pld.org.pl>
- added static subpackage
- full %%attr description
- partial pl translation

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.
